<template>
  <div>
    <h1 class="mb-3">Thanks {{ userFirstName }}!</h1>
    <p class="mb-5">
      What’s your assigned sex at birth?
    </p>
    <p class="mb-8">
      We need this because your hormones play an important role for your skin. We respect that your identifying gender might be different.
    </p>
    <div class="space-y-3">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        v-model="radioSelected"
        :input-value="choice"
      >
        {{ choice }}
      </radio-input>
    </div>
    <transition name="fast-fade">
      <div
        class="fixed inset-0 z-100 bg-black bg-opacity-20 flex justify-center"
        v-if="isPopupDisplayed"
      >
        <div class="max-w-quiz px-5 pt-20">
          <div class="relative rounded-lg bg-green-n-black p-5 flex flex-col z-20">
            <div class="text-xl font-semibold text-white pr-8 mb-3">
              Happy Birthday {{ userFirstName }}!
            </div>
            <div class="text-white font-medium">
              Let’s celebrate!!! 🎈Here’s a 10% Discount on us 🎈 Use code HAPPYBIRTHDAY at checkout.
            </div>
            <div
              class="cursor-pointer absolute right-5 top-5 flex items-center justify-center w-4 h-4"
              @click="isPopupDisplayed = false"
            >
              <CloseIcon bg-color="bg-white"/>
            </div>
          </div>
        </div>

      </div>

    </transition>
  </div>
</template>

<script>
import CloseIcon from "@/components/icons/CloseIcon";
import {answersMixin, mainDataMixin, radioMixin} from "@/utils/mixins";

export default {
  mixins: [mainDataMixin, radioMixin, answersMixin],
  name: "AccountCreation4",
  components: {CloseIcon},
  data() {
    return {
      isPopupDisplayed: false,
      choices: [
        'Female',
        'Male',
      ],
      radioHandler: newVal => {
        this.setAnswer(this.answersKeys.ACCOUNT_CREATION, newVal, 'stage_4')
        this.nextStage()
      }
    }
  },
  mounted() {
    const today = new Date()
    const birthdate = new Date(this.userBirthdate)
    if (today.getDate() === birthdate.getDate() && today.getMonth() === birthdate.getMonth()) {
      this.isPopupDisplayed = true
    }
  }
}
</script>

<style scoped>

</style>
